ru.bitel.oss.systems.inventory.product.common.bean

## Class ProductSpec

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
      - - ru.bitel.oss.kernel.entity.common.bean.Entity
        - - ru.bitel.oss.systems.inventory.product.common.bean.ProductSpec

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, Node<ProductSpec>, Tied, TreeNode<ProductSpec>

      public class ProductSpec
      extends Entity
      implements Node<ProductSpec>, Tied

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface ru.bitel.common.model.Tied

      `Tied.TieResolver<T,TT>, Tied.TieUnresolvedException, Tied.Utils<T,TT extends Tied>`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductSpec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ProductSpecActivationMode>` | `getActivationModeList()`
    `java.util.List<ProductSpec>` | `getChildren()`
    `java.lang.String` | `getComment()`
    `long` | `getContractGroups()`
    `java.lang.String` | `getData()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.util.Set<java.lang.Integer>` | `getDepends()`
    `java.lang.String` | `getDescription()`
    `long` | `getHideForContractGroups()`
    `int` | `getHideForContractGroupsMode()`
    `java.lang.String` | `getIdentifier()`
    `java.util.Set<java.lang.Integer>` | `getIncompatible()`
    `int` | `getModuleId()`
    `int` | `getParentId()`
    `int` | `getPriority()`
    `java.util.Set<java.lang.Integer>` | `getTariffIds()`
    `boolean` | `isActivationByCustomer()`
    `boolean` | `isDeactivationByCustomer()`
    `boolean` | `isHideForCustomer()`
    `boolean` | `isNotRealtime()`
    `boolean` | `isPeriodic()`
    `void` | `setActivationByCustomer(boolean activationByCustomer)`
    `void` | `setActivationModeList(java.util.List<ProductSpecActivationMode> activationModeList)`
    `void` | `setChildren(java.util.List<ProductSpec> children)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractGroups(long contractGroups)`
    `void` | `setData(java.lang.String data)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setDeactivationByCustomer(boolean deactivationByCustomer)`
    `void` | `setDepends(java.util.Set<java.lang.Integer> depends)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setHideForContractGroups(long hideForContractGroups)`
    `void` | `setHideForContractGroupsMode(int hideForContractGroupsMode)`
    `void` | `setHideForCustomer(boolean hideForCustomer)`
    `void` | `setIdentifier(java.lang.String identifier)`
    `void` | `setIncompatible(java.util.Set<java.lang.Integer> incompatible)`
    `void` | `setModuleId(int moduleId)`
    `void` | `setNotRealtime(boolean notRealtime)`
    `void` | `setParentId(int parentId)`
    `void` | `setPeriodic(boolean periodic)`
    `void` | `setPriority(int priority)`
    `void` | `setTariffIds(java.util.Set<java.lang.Integer> tariffIds)`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

      `getEntityId, getEntityTitle, setEntityId, setEntityTitle`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.Tied

      `getId`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### ProductSpec

          public ProductSpec()

  - ### Method Detail

    - #### getModuleId

          public int getModuleId()

    - #### setModuleId

          public void setModuleId(int moduleId)

    - #### getIdentifier

          public java.lang.String getIdentifier()

    - #### setIdentifier

          public void setIdentifier(java.lang.String identifier)

    - #### getTariffIds

          public java.util.Set<java.lang.Integer> getTariffIds()

    - #### setTariffIds

          public void setTariffIds(java.util.Set<java.lang.Integer> tariffIds)

    - #### getContractGroups

          public long getContractGroups()

    - #### setContractGroups

          public void setContractGroups(long contractGroups)

    - #### getDepends

          public java.util.Set<java.lang.Integer> getDepends()

      Specified by:
        `getDepends` in interface `Tied`

    - #### setDepends

          public void setDepends(java.util.Set<java.lang.Integer> depends)

    - #### getIncompatible

          public java.util.Set<java.lang.Integer> getIncompatible()

      Specified by:
        `getIncompatible` in interface `Tied`

    - #### setIncompatible

          public void setIncompatible(java.util.Set<java.lang.Integer> incompatible)

    - #### getActivationModeList

          public java.util.List<ProductSpecActivationMode> getActivationModeList()

    - #### setActivationModeList

          public void setActivationModeList(java.util.List<ProductSpecActivationMode> activationModeList)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### isHideForCustomer

          public boolean isHideForCustomer()

    - #### setHideForCustomer

          public void setHideForCustomer(boolean hideForCustomer)

    - #### getHideForContractGroups

          public long getHideForContractGroups()

    - #### setHideForContractGroups

          public void setHideForContractGroups(long hideForContractGroups)

    - #### getHideForContractGroupsMode

          public int getHideForContractGroupsMode()

    - #### setHideForContractGroupsMode

          public void setHideForContractGroupsMode(int hideForContractGroupsMode)

    - #### isActivationByCustomer

          public boolean isActivationByCustomer()

    - #### setActivationByCustomer

          public void setActivationByCustomer(boolean activationByCustomer)

    - #### isDeactivationByCustomer

          public boolean isDeactivationByCustomer()

    - #### setDeactivationByCustomer

          public void setDeactivationByCustomer(boolean deactivationByCustomer)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getChildren

          public java.util.List<ProductSpec> getChildren()

      Specified by:
        `getChildren` in interface `TreeNode<ProductSpec>`

    - #### setChildren

          public void setChildren(java.util.List<ProductSpec> children)

      Specified by:
        `setChildren` in interface `Node<ProductSpec>`

    - #### getParentId

          public int getParentId()

      Specified by:
        `getParentId` in interface `Node<ProductSpec>`

    - #### setParentId

          public void setParentId(int parentId)

    - #### isPeriodic

          public boolean isPeriodic()

    - #### setPeriodic

          public void setPeriodic(boolean periodic)

    - #### isNotRealtime

          public boolean isNotRealtime()

    - #### setNotRealtime

          public void setNotRealtime(boolean notRealtime)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### getData

          public java.lang.String getData()

    - #### setData

          public void setData(java.lang.String data)